@if (akta) {
  <form name="deleteForm" (ngSubmit)="confirmDelete(akta.id!)">
    <div class="modal-header">
      <h4 class="modal-title" data-cy="aktaDeleteDialogHeading">Confirm delete operation</h4>

      <button type="button" class="btn-close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
    </div>

    <div class="modal-body">
      <jhi-alert-error></jhi-alert-error>
      <p id="jhi-delete-akta-heading">Are you sure you want to delete Akta {{ akta.id }}?</p>
    </div>

    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="cancel()">
        <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
      </button>

      <button id="jhi-confirm-delete-akta" data-cy="entityConfirmDeleteButton" type="submit" class="btn btn-danger">
        <fa-icon icon="times"></fa-icon>&nbsp;<span>Delete</span>
      </button>
    </div>
  </form>
}
